- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# readwrite.cpp File Reference

`#include "readwrite.h"`

Include dependency graph for readwrite.cpp:

## Defines
#define | LIB3DS_EXPORT
## Functions
Lib3dsByte | lib3ds_byte_read (FILE *f)
Lib3dsWord | lib3ds_word_read (FILE *f)
| Read a word from a file stream in little endian format.
Lib3dsDword | lib3ds_dword_read (FILE *f)
Lib3dsIntb | lib3ds_intb_read (FILE *f)
Lib3dsIntw | lib3ds_intw_read (FILE *f)
Lib3dsIntd | lib3ds_intd_read (FILE *f)
Lib3dsFloat | lib3ds_float_read (FILE *f)
Lib3dsBool | lib3ds_vector_read (Lib3dsVector v, FILE *f)
Lib3dsBool | lib3ds_rgb_read (Lib3dsRgb rgb, FILE *f)
Lib3dsBool | lib3ds_string_read (char *s, int buflen, FILE *f)
Lib3dsBool | lib3ds_byte_write (Lib3dsByte b, FILE *f)
Lib3dsBool | lib3ds_word_write (Lib3dsWord w, FILE *f)
Lib3dsBool | lib3ds_dword_write (Lib3dsDword d, FILE *f)
Lib3dsBool | lib3ds_intb_write (Lib3dsIntb b, FILE *f)
Lib3dsBool | lib3ds_intw_write (Lib3dsIntw w, FILE *f)
Lib3dsBool | lib3ds_intd_write (Lib3dsIntd d, FILE *f)
Lib3dsBool | lib3ds_float_write (Lib3dsFloat l, FILE *f)
Lib3dsBool | lib3ds_vector_write (Lib3dsVector v, FILE *f)
Lib3dsBool | lib3ds_rgb_write (Lib3dsRgb rgb, FILE *f)
Lib3dsBool | lib3ds_string_write (const char *s, FILE *f)

## Define Documentation

#define LIB3DS_EXPORT

## Function Documentation

Lib3dsWord lib3ds_word_read | ( | FILE * | f | ) |

  | Read a word from a file stream in little endian format. Parameters:
  | f | Input file stream.
Returns: The word read.